<?php
include "koneksi.php";

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $nama_pasaran = mysqli_real_escape_string($koneksi, $_POST['nama_pasaran']);
    $result_pasaran = mysqli_real_escape_string($koneksi, $_POST['result_pasaran']);
    $tanggal_result = mysqli_real_escape_string($koneksi, $_POST['tanggal_result']);

    // Validasi input tidak boleh kosong
    if (empty($nama_pasaran) || empty($result_pasaran) || empty($tanggal_result)) {
        header("Location: index.php?notif=Gagal! Semua kolom harus diisi.");
        exit();
    }

    // Query untuk menambahkan data ke tabel result_pasaran
    $query = "INSERT INTO result_pasaran (nama_pasaran, result_pasaran, tanggal_result) 
              VALUES ('$nama_pasaran', '$result_pasaran', '$tanggal_result')";

    if (mysqli_query($koneksi, $query)) {
        header("Location: index.php?page=result_pasaran&notif=berhasil_menyimpan_data");
    } else {
        header("Location: index.php?notif=Gagal menambahkan data!");
    }
} else {
    header("Location: index.php");
    exit();
}
?>